%define upstream_name    Class-DBI-mysql
%define upstream_version 1.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Class::DBI extension for MySQL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Class::DBI)

BuildArch:      noarch


%description
This is an extension to Class::DBI, containing several functions and
optimisations for the MySQL database. Instead of setting Class::DBI as your
base class, use this instead.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# requires a running mysql server

%install
%make_install

%files
%doc Changes README INSTALL META.yml
%{perl_vendorlib}/Class
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-14.mga8
+ Revision: 1493533
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-13.mga7
+ Revision: 1266308
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.0.0-12.mga6
+ Revision: 1023935
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.0.0-11.mga6
+ Revision: 949711
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.0.0-10.mga5
+ Revision: 790283
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-9.mga5
+ Revision: 750288
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-8.mga5
+ Revision: 683903
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-7.mga4
+ Revision: 509924
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-6.mga3
+ Revision: 364340
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.0.0-5.mga1
+ Revision: 31779
- mageia rebuild
- cleaning spec file
- imported package perl-Class-DBI-mysql


* Sat Feb 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.0.0-5mdv2010.1
+ Revision: 505426
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.00-4mdv2010.0
+ Revision: 430327
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.00-3mdv2009.0
+ Revision: 241179
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.00-1mdv2008.0
+ Revision: 91095
- import perl-Class-DBI-mysql


* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.00-1mdv2008.0
- first mdv release
